Tag filter for pending changes
Closed, ResolvedPublic


It may be worthwhile to take advantage of the abuse filter, and in particular the tag functionality, for the implementation of flagged revisions on the English Wikipedia.

A first step may be to be able to filter Special:OldReviewedPages by tag, by returning pages containing a tagged edit between the latest flagged revision (of the chosen level) and the latest revision.

That should allow easier and more efficient monitoring of tagged edits than tagged recent changes, and to particularize the patrolling of old reviewed pages to those with more chances to be problematic.

Version: unspecified
Severity: enhancement

bzimport set Reference to bz19107.
Cenarium created this task.Via LegacyJun 6 2009, 3:20 PM
aaron added a comment.Via ConduitJun 6 2009, 4:18 PM

Generally I try to avoid making extensions interact with others ones...the core tag functionality is fair game though.

aaron added a comment.Via ConduitJun 11 2009, 2:43 AM

OK, this special page is already a bit bloated in terms of UI and SQL query JOINs, so I'm a bit reluctant to add anything. Perhaps a different special page is in order.

Cenarium added a comment.Via ConduitJun 11 2009, 5:11 PM

I think it would be more used in order to review tagged edits than as a filter for oldreviewedpages, so we could use another special page without problem, yes. To make it visible enough to users though, it would have to be linked from [[Special:Tags]] similarly to the tagged changes, maybe a (review) link for users with review permission.

There shouldn't be any strong need for the namespace, category, max change bytes or 'on my watchlist' filter. And the only interesting level would be 'sighted' for the default (and 'patrol' for the English Wikipedia implementation). So there's only a need for the tag filter in the end.

aaron added a comment.Via ConduitJun 19 2009, 8:41 PM

This is nearly ready to roll out...with a category filter too.

aaron added a comment.Via ConduitJun 20 2009, 10:13 PM

Done in r52215

Add Comment